## apt-queue 0.2.2

=== Makefile ===
SRC = apt-queue.c
OBJ = $(SRC:.c=)

DESTDIR=
PREFIX=$(DESTDIR)/usr

all: $(OBJ)

clean:
	rm -f $(OBJ)

%: %.c
	gcc $*.c -o $@

install: $(OBJ)
	install -m 0755 -d $(PREFIX)/bin
	install -m 0755 $^ $(PREFIX)/bin

=== debian/changelog ===
apt-queue (0.2.2) robby; urgency=low

  * Implement setsid(2) to create new session if calling process dies

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 29 Jul 2010 11:50:20 -0600

apt-queue (0.2.1) robby; urgency=low

  * Added more logging and basic* signal handling
  * Added some timestamp logging messages

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 09 Sep 2009 00:25:22 +0200

apt-queue (0.2) UNRELEASED; urgency=low

  * Do not depend on debhelper, cdbs
  * Adding forking capabilities to apt-queue

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 08 Sep 2009 22:59:59 +0200

apt-queue (0.1) UNRELEASED; urgency=low

  * Initial release.

 -- Adam McDaniel <adam@jolicloud.org>  Sun, 06 Sep 2009 03:36:01 +0200

=== debian/control ===
Source: apt-queue
Section: admin
Priority: optional
Maintainer: Adam McDaniel <adam@jolicloud.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.7.2

Package: apt-queue
Architecture: i386
Enhances: apt
Depends: ${shlibs:Depends}
Description: Utility to queue APT commands
 Utility to queue APT commands

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/apt-queue.sgml > apt-queue.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/apt-queue.
	$(MAKE) DESTDIR=$(CURDIR)/debian/apt-queue install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-queue 0.2.4

=== debian/changelog ===
apt-queue (0.2.4) robby-1.2; urgency=low

  * Added a retry loop to re-attempt a failed queued command, up to 5
    times.  This is a contingency if our lock is stolen after it's freed
    by APT or dpkg, but before we've had a chance to execute our own
    command.
  * Add fflush() to the get_lock() function to record activity in real-
    time to the log file.

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 08 Mar 2011 13:56:37 -0700

apt-queue (0.2.3) robby; urgency=low

  * Updated debian/control description & github URLs, use GPL license in
    debian/copyright
  * Also trap all STDERR data from system(), forward to the log file
  * Force DEBIAN_FRONTEND to be noninteractive, this avoids a nasty
    shock when dpkg-preconfigure tries to reopen stdin for input.

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 24 Feb 2011 12:57:22 -0700

=== debian/control ===
Source: apt-queue
Section: admin
Priority: optional
Maintainer: Adam McDaniel <adam@jolicloud.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.7.2
Vcs-Git: git://github.com/jolicloud/apt-queue.git
Vcs-Browser: https://github.com/jolicloud/apt-queue

Package: apt-queue
Architecture: i386
Enhances: apt
Depends: ${shlibs:Depends}
Description: Utility to queue APT/dpkg commands, following an APT/dpkg program
 The utility apt-queue can be used within debian packages to queue APT or
 dpkg commands to run immediately after the an original APT/dpkg call has
 completed. If one were to do this without apt-queue, you would get an
 error message like: 
 .
 E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily
 unavailable)
 E: Unable to lock the administration directory (/var/lib/dpkg/), is
 another process using it?
 .
 This is useful if some sort of postinst script requires a new 'apt-get
 install' download, but such a dynamic requirement cannot be satisified
 within a simple debian/control:Depends.
